サポート » テーマ » PHPコードを最新バージョン推奨のコードにしたい

  • 解決済 stream2930

    (@stream2930)


    自作テーマを作っている途中でこちらで質問させて頂いた際に「PHPコードが古い」と指摘されてしまいました。
    確かに、参考にした書籍は古いものだったためですが、自分がPHPについては全く分からないためでもあります。ネットで検索しても分からず、恥ずかしながらこちらでお尋ねした次第です。

    ヘルプの必要なページ: [リンクを見るにはログイン]

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • CG

    (@du-bist-der-lenz)

    自作テーマをクリエイトするために、次世代のベーステーマになる、Variaを参考にしたらいかがでしょうか。

    WordPress 5 対応のテーマ制作に特化した書籍を参考にすることをおすすめします。
    このフォーラムでは特定の商用プロダクトを売り込むようなことが出来ないので具体的な書籍名を挙げることは控えますが、出版年(一両年以内とか)と目次(テーマ制作、PHP など)で大体見当は付くと思います。

    こんにちは、

    自作テーマを作っている途中でこちらで質問させて頂いた際に「PHPコードが古い」と指摘されてしまいました。

    非推奨関数を使用していたという意味ですね。

    非推奨関数、すべて頭の中に入れるなんてことは 少なくても私には無理です。

    https://ja.wordpress.org/plugins/theme-check/

    https://wordpress.org/plugins/theme-sniffer/

    等のプラグインを使う事で、非推奨関数や、エラーなどをチェックできるので、そういったツールで検証しながら、テーマの開発を進めるといいと思います。

    こんにちは

    デバッグモードしていれば、非推奨の関数などを使っているとその旨表示されると思います。
    開発中はデバッグモードにしておくことをお勧めします。

    WP_DEBUG

    皆さん様々な回答ありがとうございました。
    参考にさせていただきますね。

5件の返信を表示中 - 1 - 5件目 (全5件中)
  • このトピックに返信するにはログインが必要です。